Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605796 - Incorrect files attached when uploading to a HTML form
Incorrect files attached when uploading to a HTML form
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 15:03 EDT by Matthieu Heimer
Modified: 2018-04-11 06:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-04 10:57:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthieu Heimer 2010-06-18 15:03:30 EDT
Description of problem:
When uploading a file to a web site using an HTML form there is a possibility that a different file than the one intended may be uploaded.

Version-Release number of selected component (if applicable):
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.3) Gecko/20100403 Fedora/3.6.3-4.fc13 Firefox/3.6.3

How reproducible:
Find a HTML for that allows file uploads (sending an attachment in Gmail can be used). Using the file browser, single click on a file to highlight it. If you click on a column header to change the sorting order after highlighting a file then your selected file will still show as highlighted but when you click the open button the wrong file will be uploaded.

Steps to Reproduce:
1. Create a directory and populate it with multiple files.
2. Compose an email in GMail and click "attach a file".
3. Press the Browse button to attach a file.
4. In the file chooser dialogue box, single click a file to highlight it.
5. Click on the Name, Size, or Modified column headers to change the sort order.
6. Your originally selected file should still show as being highlighted.
7. Click the open button. 
  
Actual results:
The path to a different file is supplied to the form. In the case of GMail the file starts automatically uploading when using the AJAX web interface.

Expected results:
The path the the highlighted file should be used regardless of the sorting.

Additional info:
Comment 1 Matthieu Heimer 2010-06-18 15:05:09 EDT
How reproducible: Always
Comment 2 Matěj Cepl 2010-06-25 19:53:11 EDT
Could please try under these two special conditions?

a) please start firefox without any extensions or plugins in the Safe Mode (i.e., run on the command line firefox -safe-mode),
b) try with the upstream binary from ftp://ftp.mozilla.org/pub/firefox/nightly/latest-firefox-3.6.x/ (you can unpack it in any folder on your hard drive and then run it from there as ./firefox; backup your ~/.mozilla folder first).

Does any of these help?
Comment 3 Chris Campbell 2010-12-14 12:17:27 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Chris Campbell 2011-02-04 10:57:17 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.